We are running a sale on Popup Card Studio. Save 28% right now during this very limited time sale. Click here to order now!

We are also running a sale if you purchase both Make The Cut! and Popup Card Studio. Save 38% right now during this very limited time sale. Click here to order!

Updating Firmware of Cricut Mini

cutking22cutking22 Member Posts: 1
Hello,

Recently a friend gave me their Cricut Mini and a laptop with older copies of Make The Cut (v 1.4.0 and 3.2.1) installed on it. They had not used this equipment for a couple years so they decided to give it to me for my birthday a couple weeks ago.

I am attempting to get the software to cut designs, but when I go to select the Cricut Mini as the device in MTC, it comes up with an error saying that I need to update the firmware. I did some searching and found that firmware update was typically done through Cricut Craft Room (which is also on the laptop) but that the service shut down in July and thus the program can no longer work properly.

That being said, is there any way to either
    A.) Update the firmware of my Cricut Mini so that I can use MTC with it
    B.) Configure the software to bypass this requirement, perhaps using the "Do not use serial communication" option

Thank you in advance to anyone who can offer advice or assistance in this matter. I attempted to contact Provo Craft, but they essentially just told me I'm out of luck since support for the product has been discontinued.

Comments

  • GabeGabe Moderator Posts: 4,510
    Unfortunately, this forum concentrates on supporting users of machines that work with MTC.  ProvoCraft, the makers of the Cricut machines, actually sued the owners of Make-the-Cut twice to ensure that it would NOT work with their machines.  So, while there may be people in this forum that know the answers to your questions, they may not feel comfortable about sharing information of that nature.  Good luck with your search.
  • Liz_ALiz_A Member Posts: 10,025
    I am not aware of any method to hack the Cricut machine to do what you want to do, ie "configure the software to bypass this requirement". This wouldn't work, MTC needs a certain firmware level to work with the cutter, without that the cutter and MTC don't talk to each other because bits of common language would be missing. The file that would update the firmware has been removed from ProvoCrafts servers, so the cutter can't be updated if the update isn't there. You can use the cutter to get $75 off the purchase of a new cutter.
Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!